#!/bin/sh

packagelist="conf/packagelist.txt"
hostname="$(cat /etc/hostname)"
hostname_new="birdview"

echo "Raspberry Pi Birdcam install script"
echo "==================================="
echo ""

echo "Check internet connection ..."
pingserver="raspbian.raspberrypi.org"
if ! ping -q -c1 $pingserver>/dev/null; then
	echo "No internet connection ..."
	exit 0
fi

echo "Install packages ..."
sudo apt update; sudo apt install -y $(cat $packagelist)

echo "Install WiringPi ..."
wget https://project-downloads.drogon.net/wiringpi-latest.deb
sudo dpkg -i wiringpi-latest.deb
rm wiringpi-latest.deb 
